Name:           rkward
Version:        0.4.7 
Release:        4%{?dist}
Summary:        Graphical frontend for R language
Summary(fr):    Interface graphique pour le langage R 

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://rkward.sourceforge.net/ 
Source0:        http://downloads.sourceforge.net/rkward/%{name}-%{version}a.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel R-devel php desktop-file-utils gettext

%description
RKWard aims to provide an easily extensible, easy to use IDE/GUI for the
R-project. RKWard tries to combine the power of the R-language with the
(relative) ease of use of commercial statistics tools. Long term plans
include integration with office suites

%description -l fr
Le but de RFWard est de fournir un environnement de développement intégré en
mode graphique, aisément extensible et simple d'utilisation. RKWard tente de
combiner la puissance du langage R et la (relative) simplicité d'utilisation
des outils statistiques commerciaux. L'objectif à long terme est de voir son
intégration dans les suites bureautiques.

%prep
%setup -q -n %{name}-%{version}a


%build
%configure  --with-r-libdir=%{_libdir}/R/library --disable-rpath  
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/R/library
make install DESTDIR=$RPM_BUILD_ROOT

#This file is conflicting with the kdelibs one
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/katepart/syntax/r.xml
# already in R-base package
rm -f $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

desktop-file-install --vendor="fedora"                                 \
        --delete-original                           \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop



## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
   # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/locolor
touch --no-create %{_datadir}/icons/crystalsvg

%postun
touch --no-create %{_datadir}/icons/locolor
touch --no-create %{_datadir}/icons/crystalsvg


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING TODO AUTHORS
%{_libdir}/R/library/%{name}/*
%{_datadir}/apps/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/crystalsvg/16x16/apps/%{name}.png
%{_datadir}/icons/crystalsvg/22x22/apps/%{name}.png
%{_datadir}/icons/crystalsvg/32x32/apps/%{name}.png
%{_datadir}/icons/crystalsvg/48x48/apps/%{name}.png
%{_datadir}/icons/crystalsvg/64x64/apps/%{name}.png
%{_datadir}/icons/crystalsvg/128x128/apps/%{name}.png
%{_datadir}/icons/locolor/16x16/apps/%{name}.png
%{_datadir}/icons/locolor/32x32/apps/%{name}.png
%{_datadir}/apps/katepart/syntax/%{name}.xml
%{_bindir}/%{name}
%{_bindir}/%{name}.bin


%changelog
*Tue Aug 07 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-3
-Remove the diff (was my mistakes)
*Tue Aug 07 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-3
-Add the %%post and %%postun section
*Tue Jul 03 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-2
-Correction on the build
-correction in the consistensy on the variables
*Thu Jun 14 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-1
-First build for Fedora

